Skip to main content
GET
/
v1
/
search
Wyszukiwanie firm i osób
curl --request GET \
  --url https://api.krdata.pl/v1/search \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "kind": "<string>",
    "name": "<string>",
    "identifiers": {
      "krs": "<string>",
      "nip": "<string>",
      "regon": "<string>",
      "registry_type": "<string>"
    },
    "score": 123,
    "company_count": 123,
    "top_companies": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "krs": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

type
enum<string>
required
Available options:
company,
person
q
string
required
Required string length: 2 - 200
limit
integer
default:10
Required range: 1 <= x <= 25

Response

Successful Response

id
string<uuid>
required
kind
string
required
name
string
required
identifiers
Identifiers · object
score
number | null
company_count
integer | null
top_companies
PersonSearchCompany · object[] | null